Skip to navigation

Get Webhook Subscription

Get detailed information about a specific webhook.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

webhook_idstringRequiredformat: "uuid"

Response

Successful Response
idstringformat: "uuid"
The unique identifier of the webhook subscription
urlstring
The target URL where webhook events are delivered. Partially redacted for security.
event_nameenum
The event name that triggers this webhook
secretstring
The secret key used to sign webhook messages. Redacted for security.
statusenum

The current status of the webhook subscription (active, inactive, stale, or deleted)

Allowed values:
created_atdatetime
The timestamp when the webhook subscription was created
updated_atdatetime
The timestamp when the webhook subscription was last updated
filtersobject or nullOptional
Optional filters that limit which events trigger this webhook

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
405
Method Not Allowed Error
409
Conflict Error
422
Unprocessable Entity Error
429
Too Many Requests Error
500
Internal Server Error